Bug 809233

Summary: README.Fedora required
Product: [Fedora] Fedora Reporter: Renich Bon Ciric <renich>
Component: openstack-swiftAssignee: Derek Higgins <derekh>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: apevec, apevec, breu, david, jonathansteffan, markmc, rbryant, silas, zaitcev
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 20:06:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Renich Bon Ciric 2012-04-02 15:27:16 EDT
Currently, there is no straight forward way of configuring things if you don't know OpenStack already pretty well.

I suggest writing a README.Fedora file that explains how to configure things in the traditional "Fedorian way".

The Ubuntu guide doesn't help much.

This bug should apply to all the openstack stack ;)
Comment 1 Alan Pevec 2012-05-14 16:31:48 EDT
There's "Getting started" on Fedora wiki, specifically for Swift all-in-one setup:

https://fedoraproject.org/wiki/Getting_started_with_OpenStack_on_Fedora_17#Configure_swift_with_keystone
Comment 2 Alan Pevec 2012-05-14 16:33:03 EDT
Still, it's a good idea to provide README.Fedora with a point to the "Getting started" wiki.
Comment 3 Derek Higgins 2012-11-05 11:50:34 EST
The openstack-demo-install script that is installed with essex and folsom installs a example openstack all in one for swift (and other parts of the openstack stack). Is this an adequate source of examples?
Comment 4 Fedora End Of Life 2013-01-16 17:35:50 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 20:06:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.